Page MenuHomePhabricator

Change the float of #p-personal list items to follow directionality of the page in Vector skin
Closed, DeclinedPublic

Description

In order for the RTL layout to exactly mirror the LTR layout, when it comes to the portlets on the top of the page, the li's should float:right

Right now, they always float:left regardless of the directionality of the wiki.

In simple words, applying this rule to RTL pages fixes the problem:

#p-personal ul li {

float: right;

}

It needs to be fixed in the Common.css


Version: unspecified
Severity: normal

Details

Reference
bz42366

Event Timeline

bzimport raised the priority of this task from to Needs Triage.Nov 22 2014, 12:53 AM
bzimport set Reference to bz42366.
Huji created this task.Nov 22 2012, 9:26 PM
Huji added a comment.Nov 22 2012, 9:31 PM

Created attachment 11409
Current behavior, vs expected behavior

Attached image shows the current and expected behavior.

Attached:

Gerrit 34846

If I understand correctly, this is the same issue as Bug 42337. I committed a more comprehensive solution for it in https://gerrit.wikimedia.org/r/#/c/34849/ .

Huji added a comment.Nov 22 2012, 11:43 PM

This is related, if not identical. I'd like to wait for that one to be completed before we work on this one. Marking that as a blocker for this one.

Huji added a comment.Nov 27 2012, 12:33 PM

The latest fix for bug 42337 has fixed this bug as well.

The Gerrit commit should probably be abandoned.

But thanks a lot for the quick reaction.

Restricted Application added a project: I18n. · View Herald TranscriptJun 2 2015, 2:20 PM